EDIT - feature request #7234

Make areas in TaxEditor distribution editor sortable
02/01/2018 09:52 PM - Andreas Miiller

Status: Closed Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 80%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 4.14

Severity: normal

Description

Current sort order is only alphabetically. We also need an vocabulary based sort order (order by order in vocabularies)

Note: Check also with similar functionality in Vaadin distribution editor. #7115

Related issues:

Related to EDIT - task #7115: Order distribution areas by vocabulary order in... Closed
Related to EDIT - task #7515: TypeDesignationStatusComparator to sort by voca... Resolved
Copied from EDIT - bug #6159: improve distribution editor in TaxEditor Closed

Associated revisions

Revision 884eaed4 - 02/08/2018 01:10 PM - Katja Luther

ref #7234: new comparator for orderedTerms also in different vocabularies

Revision bfbad836 - 02/08/2018 01:19 PM - Katja Luther

ref #7234: add possibility to sort named areas by vocabulary order in distribution editor

History

#1 - 02/01/2018 09:53 PM - Andreas Miiller
- Copied from bug #6159: improve distribution editor in TaxEditor added

#2 - 02/01/2018 09:54 PM - Andreas Miuller

- Description updated

#3 - 02/01/2018 09:58 PM - Andreas Miuller

- Related to task #7115: Order distribution areas by vocabulary order in distribution editor added

#4 - 02/01/2018 09:59 PM - Andreas Miiller
- Subject changed from Make Areas in TaxEditor distribution editor sortable to Make areas in TaxEditor distribution editor sortable

- Description updated

#5 - 02/05/2018 12:59 PM - Katja Luther

we should use the same comparator. therefore we need to move the AlphabeticallyAscendingNamedAreaComparator to cdmlib

#6 - 02/05/2018 12:59 PM - Katja Luther

- Status changed from New to In Progress

#7 - 02/07/2018 02:27 PM - Katja Luther

in the vaadin distribution editor only namedAreas of one vocabulary can be choosen, should it be the same in the taxEditor distribution editor?

#8 - 02/08/2018 01:09 PM - Katja Luther

now there is a comparator for OrderedTerms used and the terms are ordered first by vocabulary (titleCache) and then by orderld in vocabulary.

#9 - 02/08/2018 01:22 PM - Katja Luther
https://dev.e-taxonomy.eu/redmine/issues/7115

- Status changed from In Progress to Resolved
- Assignee changed from Katja Luther to Andreas Mdiller

- % Done changed from 0 to 80

#10 - 02/11/2018 06:41 PM - Andreas Miiller

Katja Luther wrote:
in the vaadin distribution editor only namedAreas of one vocabulary can be choosen, should it be the same in the taxEditor distribution editor?
In vaadin also multiple vocabularies are possible, but in some databases only 1 is loaded, defined by database preferences.

#11 - 02/14/2018 01:47 PM - Andreas Miiller
- Status changed from Resolved to Closed

- Assignee changed from Andreas Muiller to Katja Luther

seems to work

#12 - 03/20/2019 09:14 AM - Katja Luther
- Related to task #7515: TypeDesignationStatusComparator to sort by vocabulary first and then by term order added
